perl issue

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

perl issue

Prakash Ramakrishnan-2
HI Team ,

Every time server got rebooted after we getting below perl error anyone aware of it. please do the needful.

could not load library "/opt/app/PostgreSQL/10/lib/postgresql/plperl.so": /opt/app/PostgreSQL/10/lib/postgresql/plperl.so: undefined symbol: Perl_xs_handshake  

--
Thanks,
Prakash.R

Reply | Threaded
Open this post in threaded view
|

Re: perl issue

Alvaro Herrera-9
On 2019-Jul-08, Prakash Ramakrishnan wrote:

> HI Team ,
>
> Every time server got rebooted after we getting below perl error anyone
> aware of it. please do the needful.
>
>
> *could not load library "/opt/app/PostgreSQL/10/lib/postgresql/plperl.so
> /opt/app/PostgreSQL/10/lib/postgresql/plperl.so
> undefined symbol: Perl_xs_handshake  *

Sounds like the perl library does not match the version that your
installation was compiled with.  It's hard to diagnose with this much
data.

--
Álvaro Herrera                https://www.2ndQuadrant.com/
PostgreSQL Development, 24x7 Support, Remote DBA, Training & Services


Reply | Threaded
Open this post in threaded view
|

Re: perl issue

Prakash Ramakrishnan-2
Hi Alvaro,

Thanks This is edb standard edition so please do the needfull how can we install the perl here.

Regards,
Prakash.R

On Wed, Jul 10, 2019 at 4:34 AM Alvaro Herrera <[hidden email]> wrote:
On 2019-Jul-08, Prakash Ramakrishnan wrote:

> HI Team ,
>
> Every time server got rebooted after we getting below perl error anyone
> aware of it. please do the needful.
>
>
> *could not load library "/opt/app/PostgreSQL/10/lib/postgresql/plperl.so
> /opt/app/PostgreSQL/10/lib/postgresql/plperl.so
> undefined symbol: Perl_xs_handshake  *

Sounds like the perl library does not match the version that your
installation was compiled with.  It's hard to diagnose with this much
data.

--
Álvaro Herrera                https://www.2ndQuadrant.com/
PostgreSQL Development, 24x7 Support, Remote DBA, Training & Services


--
Thanks,
Prakash.R
PostgreSQL - Offshore DBA support TCS / Nielsen Infrastructure Team On call : +91-8939599426
Reply | Threaded
Open this post in threaded view
|

Re: perl issue

vignesh C
Hi,

You can execute the following command:
 ldd /opt/app/PostgreSQL/10/lib/postgresql/plperl.so

This will give you the perl library that it is using.
Then check the perl version that is supported for the installation and the current perl version that is being used.

You should be able to get an idea of the same.

Regards,
Vignesh

On Wed, Jul 10, 2019 at 2:53 PM Prakash Ramakrishnan <[hidden email]> wrote:
Hi Alvaro,

Thanks This is edb standard edition so please do the needfull how can we install the perl here.

Regards,
Prakash.R

On Wed, Jul 10, 2019 at 4:34 AM Alvaro Herrera <[hidden email]> wrote:
On 2019-Jul-08, Prakash Ramakrishnan wrote:

> HI Team ,
>
> Every time server got rebooted after we getting below perl error anyone
> aware of it. please do the needful.
>
>
> *could not load library "/opt/app/PostgreSQL/10/lib/postgresql/plperl.so
> /opt/app/PostgreSQL/10/lib/postgresql/plperl.so
> undefined symbol: Perl_xs_handshake  *

Sounds like the perl library does not match the version that your
installation was compiled with.  It's hard to diagnose with this much
data.

--
Álvaro Herrera                https://www.2ndQuadrant.com/
PostgreSQL Development, 24x7 Support, Remote DBA, Training & Services


--
Thanks,
Prakash.R
PostgreSQL - Offshore DBA support TCS / Nielsen Infrastructure Team On call : +91-8939599426


--
Regards,
vignesh
                          Have a nice day
Reply | Threaded
Open this post in threaded view
|

Re: perl issue

Prakash Ramakrishnan-2
Hi Vignesh,

Am getting below error database up and running only not able to restore the dump in new cluster in database.

Util.c: loadable library and perl binaries are mismatched (got handshake key 0xdb80080, needed 0xde00080)

psql.bin:A4_Copy.sql:218: server closed the connection unexpectedly
       This probably means the server terminated abnormally
       before or while processing the request.
psql.bin:A4_Copy.sql:218: connection to server was lost  





On Wed, Jul 10, 2019 at 5:00 PM vignesh C <[hidden email]> wrote:
Hi,

You can execute the following command:
 ldd /opt/app/PostgreSQL/10/lib/postgresql/plperl.so

This will give you the perl library that it is using.
Then check the perl version that is supported for the installation and the current perl version that is being used.

You should be able to get an idea of the same.

Regards,
Vignesh

On Wed, Jul 10, 2019 at 2:53 PM Prakash Ramakrishnan <[hidden email]> wrote:
Hi Alvaro,

Thanks This is edb standard edition so please do the needfull how can we install the perl here.

Regards,
Prakash.R

On Wed, Jul 10, 2019 at 4:34 AM Alvaro Herrera <[hidden email]> wrote:
On 2019-Jul-08, Prakash Ramakrishnan wrote:

> HI Team ,
>
> Every time server got rebooted after we getting below perl error anyone
> aware of it. please do the needful.
>
>
> *could not load library "/opt/app/PostgreSQL/10/lib/postgresql/plperl.so
> /opt/app/PostgreSQL/10/lib/postgresql/plperl.so
> undefined symbol: Perl_xs_handshake  *

Sounds like the perl library does not match the version that your
installation was compiled with.  It's hard to diagnose with this much
data.

--
Álvaro Herrera                https://www.2ndQuadrant.com/
PostgreSQL Development, 24x7 Support, Remote DBA, Training & Services


--
Thanks,
Prakash.R
PostgreSQL - Offshore DBA support TCS / Nielsen Infrastructure Team On call : +91-8939599426


--
Regards,
vignesh
                          Have a nice day


--
Thanks,
Prakash.R
PostgreSQL - Offshore DBA support TCS / Nielsen Infrastructure Team On call : +91-8939599426
Reply | Threaded
Open this post in threaded view
|

Re: perl issue

vignesh C
Someone has faced a similar problem as yours:

Looks like something to do with your environment variables.

Try to look into the environment variables that are set, it should help you to solve the problem.

Regards,
Vignesh

On Tue, Jul 16, 2019 at 7:17 AM Prakash Ramakrishnan <[hidden email]> wrote:
Hi Vignesh,

Am getting below error database up and running only not able to restore the dump in new cluster in database.

Util.c: loadable library and perl binaries are mismatched (got handshake key 0xdb80080, needed 0xde00080)

psql.bin:A4_Copy.sql:218: server closed the connection unexpectedly
       This probably means the server terminated abnormally
       before or while processing the request.
psql.bin:A4_Copy.sql:218: connection to server was lost  





On Wed, Jul 10, 2019 at 5:00 PM vignesh C <[hidden email]> wrote:
Hi,

You can execute the following command:
 ldd /opt/app/PostgreSQL/10/lib/postgresql/plperl.so

This will give you the perl library that it is using.
Then check the perl version that is supported for the installation and the current perl version that is being used.

You should be able to get an idea of the same.

Regards,
Vignesh

On Wed, Jul 10, 2019 at 2:53 PM Prakash Ramakrishnan <[hidden email]> wrote:
Hi Alvaro,

Thanks This is edb standard edition so please do the needfull how can we install the perl here.

Regards,
Prakash.R

On Wed, Jul 10, 2019 at 4:34 AM Alvaro Herrera <[hidden email]> wrote:
On 2019-Jul-08, Prakash Ramakrishnan wrote:

> HI Team ,
>
> Every time server got rebooted after we getting below perl error anyone
> aware of it. please do the needful.
>
>
> *could not load library "/opt/app/PostgreSQL/10/lib/postgresql/plperl.so
> /opt/app/PostgreSQL/10/lib/postgresql/plperl.so
> undefined symbol: Perl_xs_handshake  *

Sounds like the perl library does not match the version that your
installation was compiled with.  It's hard to diagnose with this much
data.

--
Álvaro Herrera                https://www.2ndQuadrant.com/
PostgreSQL Development, 24x7 Support, Remote DBA, Training & Services


--
Thanks,
Prakash.R
PostgreSQL - Offshore DBA support TCS / Nielsen Infrastructure Team On call : +91-8939599426


--
Regards,
vignesh
                          Have a nice day


--
Thanks,
Prakash.R
PostgreSQL - Offshore DBA support TCS / Nielsen Infrastructure Team On call : +91-8939599426


--
Regards,
vignesh
                          Have a nice day